#    Created by Eugenio Cutolo  <me@eugesoftware.com> with QtDesigner
#
#    This program can be distributed under the terms of the GNU GPL.
#    See the file COPYING.
#

from qt import *

class MainForm(QDialog):
	def __init__(self,parent = None,name = None,modal = 0,fl = 0):
		QDialog.__init__(self,parent,name,modal,fl)

		if not name:
			self.setName("MainForm")

		self.setSizePolicy(QSizePolicy(QSizePolicy.Fixed,QSizePolicy.Fixed,0,0,self.sizePolicy().hasHeightForWidth()))
		self.setModal(1)

		self.mainframe = QFrame(self,"mainframe")
		self.mainframe.setGeometry(QRect(10,10,610,500))
		self.mainframe.setFrameShape(QFrame.StyledPanel)
		self.mainframe.setFrameShadow(QFrame.Raised)

		self.textLabel1 = QLabel(self.mainframe,"textLabel1")
		self.textLabel1.setGeometry(QRect(10,10,52,20))

		self.ResultLabel = QLabel(self.mainframe,"ResultLabel")
		self.ResultLabel.setEnabled(1)
		self.ResultLabel.setGeometry(QRect(10,40,120,20))

		self.prevbtn = QPushButton(self.mainframe,"prevbtn")
		self.prevbtn.setEnabled(0)
		self.prevbtn.setGeometry(QRect(450,470,70,20))

		self.nextbtn = QPushButton(self.mainframe,"nextbtn")
		self.nextbtn.setEnabled(0)
		self.nextbtn.setGeometry(QRect(530,470,60,20))

		self.services_combo = QComboBox(0,self.mainframe,"services_combo")
		self.services_combo.setGeometry(QRect(430,10,100,20))

		self.mode_combo = QComboBox(0,self.mainframe,"mode_combo")
		self.mode_combo.setGeometry(QRect(350,10,70,20))

		self.findbtn = QPushButton(self.mainframe,"findbtn")
		self.findbtn.setGeometry(QRect(540,10,60,20))

		self.result_list = QListView(self.mainframe,"result_list")
		self.result_list.addColumn(self.__tr("Info"))
		self.result_list.header().setResizeEnabled(0,self.result_list.header().count() - 1)
		self.result_list.addColumn(self.__tr("Text"))
		self.result_list.setGeometry(QRect(10,60,590,400))
		self.result_list.setSizePolicy(QSizePolicy(QSizePolicy.Expanding,QSizePolicy.Expanding,0,0,self.result_list.sizePolicy().hasHeightForWidth()))
		self.result_list.setLineWidth(2)
		self.result_list.setMargin(0)
		self.result_list.setMidLineWidth(10)
		self.result_list.setResizePolicy(QListView.AutoOne)
		self.result_list.setVScrollBarMode(QListView.Auto)
		self.result_list.setAllColumnsShowFocus(1)
		self.result_list.setShowSortIndicator(0)
		self.result_list.setItemMargin(5)
		self.result_list.setRootIsDecorated(0)

		self.pagen_display = QLabel(self.mainframe,"pagen_display")
		self.pagen_display.setGeometry(QRect(10,470,430,20))

		self.searchinp = QLineEdit(self.mainframe,"searchinp")
		self.searchinp.setGeometry(QRect(70,10,270,21))

		self.languageChange()

		self.resize(QSize(630,520).expandedTo(self.minimumSizeHint()))
		self.clearWState(Qt.WState_Polished)

		self.connect(self.prevbtn,SIGNAL("clicked()"),self.prevbtn_clicked)
		self.connect(self.nextbtn,SIGNAL("clicked()"),self.nextbtn_clicked)
		self.connect(self.findbtn,SIGNAL("clicked()"),self.findbtn_clicked)
		self.connect(self.result_list,SIGNAL("doubleClicked(QListViewItem*)"),self.result_list_doubleClicked)
		self.connect(self.result_list,SIGNAL("contextMenuRequested(QListViewItem*,const QPoint&,int)"),self.result_list_contextMenuRequested)
		self.connect(self.searchinp,SIGNAL("returnPressed()"),self.searchinp_returnPressed)


	def languageChange(self):
		self.setCaption(self.__tr("Search Tool"))
		self.textLabel1.setText(self.__tr("Search:"))
		self.ResultLabel.setText(self.__tr("Search Results:"))
		self.prevbtn.setText(self.__tr("Previous"))
		self.nextbtn.setText(self.__tr("Next"))
		self.services_combo.clear()
		self.services_combo.insertItem(self.__tr("All Files"))
		self.services_combo.insertItem(self.__tr("Development"))
		self.services_combo.insertItem(self.__tr("Documents"))
		self.services_combo.insertItem(self.__tr("Images"))
		self.services_combo.insertItem(self.__tr("Music"))
		self.services_combo.insertItem(self.__tr("Plain Text"))
		self.services_combo.insertItem(self.__tr("Videos"))
		self.mode_combo.clear()
		self.mode_combo.insertItem(self.__tr("key"))
		self.mode_combo.insertItem(self.__tr("tag"))
		self.findbtn.setText(self.__tr("Find"))
		self.result_list.header().setLabel(0,self.__tr("Info"))
		self.result_list.header().setLabel(1,self.__tr("Text"))
		QToolTip.add(self.result_list,self.__tr("Lista Risultati"))
		self.pagen_display.setText(QString.null)


	def findbtn_clicked(self):
		print "MainForm.findbtn_clicked(): Not implemented yet"

	def prevbtn_clicked(self):
		print "MainForm.prevbtn_clicked(): Not implemented yet"

	def nextbtn_clicked(self):
		print "MainForm.nextbtn_clicked(): Not implemented yet"

	def result_list_doubleClicked(self,a0):
		print "MainForm.result_list_doubleClicked(QListViewItem*): Not implemented yet"

	def result_list_contextMenuRequested(self,a0,a1,a2):
		print "MainForm.result_list_contextMenuRequested(QListViewItem*,const QPoint&,int): Not implemented yet"

	def searchinp_returnPressed(self):
		self.findbtn_clicked()
		

	def __tr(self,s,c = None):
		return qApp.translate("MainForm",s,c)
